<!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-light @guest navbar-laravel @else navbar-white @endguest">
    <div class="container">
        @auth
            <a href="{{action([\App\Http\Controllers\HomeController::class, 'index'])}}" class="navbar-brand">
                <!-- <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                 style="opacity: .8"> -->
                <span class="brand-text font-weight-light">{{ config('app.name', 'Laravel') }}</span>
            </a>
            <ul class="navbar-nav">
                <li class="nav-item d-none d-sm-inline-block">
                    <a class="nav-link" href="{{ action([\App\Http\Controllers\HomeController::class, 'index']) }}">
                        <i class="fas fa-home"></i>
                        {{ __('messages.home') }}</a>
                </li>
            </ul>
        @endauth

        <!-- Right Side Of Navbar -->
        <ul class="navbar-nav ml-auto">
            <!-- Authentication Links -->
            <li class="nav-item dropdown">
                <a id="superadminDropdown" href="#" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false" class="nav-link dropdown-toggle">
                    {{str(session()->get('locale'))->upper()}}
                </a>

                <ul aria-labelledby="superadminDropdown" class="dropdown-menu border-0 shadow">
                <li>
                        <a href="{{route('locale', 'en')}}"
                            class="dropdown-item @if (session()->get('locale') == 'en') active @endif">
                            English
                        </a>
                    </li>
                    <li>
                        <a href="{{route('locale', 'ru')}}"
                            class="dropdown-item @if (session()->get('locale') == 'ru') active @endif">
                            Русский
                        </a>
                    </li>
                    <li>
                        <a href="{{route('locale', 'est')}}"
                            class="dropdown-item @if (session()->get('locale') == 'est') active @endif">
                            Eesti keel
                        </a>
                    </li>
                </ul>
            </li>
            @guest
                <li class="nav-item d-none d-sm-inline-block">
                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                </li>
                @if (Route::has('register'))
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                    </li>
                @endif
            @else
                <!-- superadmin menu -->
                @if(auth()->user()->hasRole([\App\Enums\User\RoleEnum::SUPERVISOR->value, \App\Enums\User\RoleEnum::ADMIN->value], 'web'))
                    <li class="nav-item dropdown">
                        <a id="superadminDropdown" href="#" data-toggle="dropdown" aria-haspopup="true"
                           aria-expanded="false" class="nav-link dropdown-toggle">
                            <i class="fas fa-universal-access"></i>
                            @lang('messages.' . auth()->user()->roles->first()->name)
                        </a>

                        <ul aria-labelledby="superadminDropdown" class="dropdown-menu border-0 shadow">
                            <li>
                                @if($__enable_saas)
                                    <a href="{{action([\App\Http\Controllers\Superadmin\PackageController::class, 'index'])}}"
                                       class="dropdown-item">
                                        <i class="fas fa-money-check"></i>
                                        @lang('messages.packages')
                                    </a>
                                    <a href="{{action([\App\Http\Controllers\Superadmin\PackageSubscriptionsController::class, 'index'])}}"
                                       class="dropdown-item">
                                        <i class="fas fa-sync"></i>
                                        @lang('messages.package_subscription')
                                    </a>
                                @endif

                                <a href="{{action([\App\Http\Controllers\Superadmin\ManageUsersController::class, 'index'])}}"
                                   class="dropdown-item">
                                    <i class="fas fa-users"></i>
                                    @lang('messages.users')
                                </a>

                                @if(auth()->user()->hasRole(\App\Enums\User\RoleEnum::SUPERVISOR->value))
                                    <a class="dropdown-item"
                                       href="{{action([\App\Http\Controllers\Superadmin\SuperadminSettingsController::class, 'create'])}}">
                                        <i class="fa fa-cogs"></i>
                                        @lang('messages.system_settings')
                                    </a>
                                @endif
                            </li>
                        </ul>
                    </li>
                @endif
                <!-- /superadmin menu -->

                <li class="nav-item dropdown">
                    <a id="navbarDropdown" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                       class="nav-link dropdown-toggle">
                        <i class="fas fa-user-tie"></i>
                        {{ ucfirst(Auth::user()->name) }}
                    </a>

                    <ul aria-labelledby="navbarDropdown" class="dropdown-menu border-0 shadow">
                        <li>
                            <a class="dropdown-item"
                               href="{{action([\App\Http\Controllers\ManageProfileController::class, 'getProfile'])}}">
                                <i class="fas fa-user-edit"></i>
                                @lang('messages.profile')
                            </a>
                            @if($__enable_saas)
                                <a class="dropdown-item"
                                   href="{{action([\App\Http\Controllers\SubscriptionsController::class, 'index'])}}">
                                    <i class="fas fa-sync"></i>
                                    @lang('messages.my_subscription')
                                </a>
                            @endif
                            <a class="dropdown-item"
                               href="{{action([\App\Http\Controllers\ManageSettingsController::class, 'getSettings'])}}">
                                <i class="fas fa-user-cog"></i>
                                @lang('messages.my_settings')
                            </a>
                            <a class="dropdown-item"
                               href="{{ route('logout') }}"
                               onclick="event.preventDefault();
                                    document.getElementById('logout-form').submit();">
                                <i class="fas fa-sign-out-alt"></i>
                                {{ __('Logout') }}
                            </a>

                            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                @csrf
                            </form>
                        </li>
                    </ul>
                </li>
            @endguest
        </ul>

        <!-- Left navbar links -->
        <!-- <ul class="navbar-nav">
            <li class="nav-item">
            </li>
            <li class="nav-item d-none d-sm-inline-block">
                <a href="index3.html" class="nav-link">Home</a>
            </li>
            <li class="nav-item d-none d-sm-inline-block">
                <a href="#" class="nav-link">Contact</a>
            </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Help
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="#">FAQ</a>
            <a class="dropdown-item" href="#">Support</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="#">Contact</a>
          </div>
        </li>
      </ul> -->

    </div>
</nav>
<!-- /.navbar -->